commit:     0c1ffdd2d16086bcf0e1da5a14cfa27caf5f3ada
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 12 13:52:51 2024 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 13:58:18 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c1ffdd2

www-apps/sonarr-bin: add 4.0.8.2093

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 www-apps/sonarr-bin/Manifest                     |  5 ++
 www-apps/sonarr-bin/sonarr-bin-4.0.8.2093.ebuild | 74 ++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/www-apps/sonarr-bin/Manifest b/www-apps/sonarr-bin/Manifest
index 057a0a560de4..bb8e7fc009e2 100644
--- a/www-apps/sonarr-bin/Manifest
+++ b/www-apps/sonarr-bin/Manifest
@@ -3,3 +3,8 @@ DIST Sonarr.develop.4.0.8.2008.linux-arm64.tar.gz 94800836 
BLAKE2B 11dac5603f8a5
 DIST Sonarr.develop.4.0.8.2008.linux-musl-arm64.tar.gz 94868764 BLAKE2B 
d676874f8375931a926e4dc70a1e7e5b03315e376be1ffc93ec8eb83b50b3c555b839d15e278ea93142224e6e334e82305dc69dea804d82dcdd127dbf3d032e1
 SHA512 
79c2b9e6ff2e25eb5570b62579a3a1a4fa744784252021fb6c407f3220c93c0c775ae140ec3e892368c711cc9980c9bd02fd5b088b8613c3a168fef48297fd4c
 DIST Sonarr.develop.4.0.8.2008.linux-musl-x64.tar.gz 99813665 BLAKE2B 
33bcdaa2e7b80ebfb8fa322bc3d01f4b16fe1a09aed53a39d056569680acd35300f40c29523495e2074be15a0f5c4ed39851fe70e056c0e7e2b1b686c77c42bf
 SHA512 
f652a31e2d6527a68d0415f2c81b327da8d1e481d76c6e1e93dabf201f258cf0af8d3884c5486ebb8999832438a2b4db594971941169de406cc429e936db3229
 DIST Sonarr.develop.4.0.8.2008.linux-x64.tar.gz 100747480 BLAKE2B 
240e15ba3e747bf919136ce4aee1a52d83c5e692280e556565739fdd2768b0904aad803b34bd9de831c1705564efa279fd11314d60e88b3566d28e528a1776da
 SHA512 
2f9b9f3e95b2c745a816e4145d4ffae14f29cd813e13ab62dfe8902bdfee5b8ebccff20dceb47fc7b8dd5963c68d90d85073104264bf5882957b7530a63b54eb
+DIST Sonarr.develop.4.0.8.2093.linux-arm.tar.gz 95178045 BLAKE2B 
ea27f694124384816a88de4814fbe7d9c11f84096ba45b84ac9f6997c0ac313641647cf548cf18615be6c2f4ffbb051eecd60fd4b1d310a9033f4161f407c228
 SHA512 
09a21e563ab298c8bbeb5590597900bca22260defe17e239a7472c8543f6598656823f8d9f1e3aa95fb88b97a1608133bfedaca2c912506450fa56288e4de1da
+DIST Sonarr.develop.4.0.8.2093.linux-arm64.tar.gz 94905786 BLAKE2B 
f40e693faa744d924ee2617b911f8cf52133341bbe918a2c7ff1969d21fcca97145d30318681693deebde281d0d3058f13236e768ff79518089973cda4dabd56
 SHA512 
12f3c6ab38dd2f8f947bbf8d7d015ebaaae9fcac2fc8523aff11d63f04f4321b21ad891934168579548155138857eb6d9ac101ed90afc92c85110beb770400dc
+DIST Sonarr.develop.4.0.8.2093.linux-musl-arm64.tar.gz 94966092 BLAKE2B 
0c6442a5739e623d6f4fa4d8324383d8615bc65c9f760049fb30c6dc85a4f55115d0271c59d0b36dc60facd753ee688495177684216e393f337a8ed3cdefbbfa
 SHA512 
92a7879e5917640d7d56d1b2fa0f6db24c9529e73098fdcb0b448da35266a7458baccf778e00f8de5e849af378d6aaa7019c88d8c64314808419070d49e23b09
+DIST Sonarr.develop.4.0.8.2093.linux-musl-x64.tar.gz 99904918 BLAKE2B 
8e1a7d8b6cb1778cdc0256ab99be4de9551e8e2c0861e976fe45462dfb845293f5b74c6b603fb26031e20c8a98e31c579861831ae13c7d0ce1981c7bbeab9669
 SHA512 
1d634b964a27c6c44e9b0ef6d49555b69cdafdecdbbc3f6fb271782fbe158650abb67d4b83ff00702f6fdbfab0c174faf9bb1c4423a87f176ab7487d204cf172
+DIST Sonarr.develop.4.0.8.2093.linux-x64.tar.gz 100826635 BLAKE2B 
098cd15b863634c0f1a6d00fe804aee33bc7468545ff3324f028398f0f751404e5489bf461e0d4e4c1e181b643a3bfeb38aaaec11d643345a8e90dd060669e4b
 SHA512 
30a25560a7523759816dd3309c74b3750947154041255a31c66a1acf492c24de022a064f146a8a9e301581504e5ba08d05b883be8ec974fa5ceffbc6d0f85459

diff --git a/www-apps/sonarr-bin/sonarr-bin-4.0.8.2093.ebuild 
b/www-apps/sonarr-bin/sonarr-bin-4.0.8.2093.ebuild
new file mode 100644
index 000000000000..f10489599d33
--- /dev/null
+++ b/www-apps/sonarr-bin/sonarr-bin-4.0.8.2093.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+DESCRIPTION="Sonarr is a Smart PVR for newsgroup and bittorrent users"
+HOMEPAGE="https://www.sonarr.tv";
+
+SRC_URI="
+       amd64? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-x64.tar.gz
+               )
+               elibc_musl? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-musl-x64.tar.gz
+               )
+       )
+       arm? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-arm.tar.gz
+               )
+       )
+       arm64? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-arm64.tar.gz
+               )
+               elibc_musl? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.develop.${PV}.linux-musl-arm64.tar.gz
+               )
+       )
+"
+S="${WORKDIR}/Sonarr"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="bindist strip test"
+
+RDEPEND="
+       acct-group/sonarr
+       acct-user/sonarr
+       media-video/mediainfo
+       dev-libs/icu
+       dev-util/lttng-ust:0
+       dev-db/sqlite
+"
+
+QA_PREBUILT="*"
+
+src_prepare() {
+       default
+
+       # https://github.com/dotnet/runtime/issues/57784
+       rm libcoreclrtraceptprovider.so 
Sonarr.Update/libcoreclrtraceptprovider.so || die
+}
+
+src_install() {
+       newinitd "${FILESDIR}/sonarr.init-r2" sonarr
+
+       keepdir /var/lib/sonarr
+       fowners -R sonarr:sonarr /var/lib/sonarr
+
+       insinto /etc/logrotate.d
+       insopts -m0644 -o root -g root
+       newins "${FILESDIR}/sonarr.logrotate" sonarr
+
+       dodir  "/opt/sonarr"
+       cp -R "${S}/." "${D}/opt/sonarr" || die "Install failed!"
+
+       systemd_newunit "${FILESDIR}/sonarr.service-r1" "sonarr.service"
+       systemd_newunit "${FILESDIR}/sonarr.service-r1" "[email protected]"
+}

Reply via email to